#import tkinter
import tkinter as tk
from tkinter import ttk
from tkinter import *
import webbrowser
import os
import sys


# *********************************************************
# https://www.pythontutorial.net/tkinter/tkinter-grid/
# *********************************************************

def resource_path(relative_path):
    """ Get absolute path to resource, works for dev and for PyInstaller """
    try:
        # PyInstaller creates a temp folder and stores path in _MEIPASS
        base_path = sys._MEIPASS
    except Exception:
        base_path = os.path.abspath(".")

    return os.path.join(base_path, relative_path)

def buttonClick():
    try:
        # Datenabfrage Wechselkurs

        wechselkurs = entrywechselkurs.get()
        wechselkurs = wechselkurs.replace(",",".")
        wechselkurs = float(wechselkurs)
        
        # Datenabfrage Euro
        euro = entryeuro.get()
        euro = euro.replace(",",".")
        euro = float(euro)

        # Berechnung
        
        p = euro * wechselkurs
        p = round(p, 2)
        p_str = str(p)
        p_str = p_str.replace(".",",")

        # Anzeige der Daten

        labelres.config(text=f"Das sind {p_str} mexikanische Pesos")

    except: 
        # Ausgabe Fehlermeldung

        labelres.config(text=f"Bitte Zahlenwert und Wechselkurs angeben!")

def buttonClick_1():
    try:
        # Datenabfrage Wechselkurs

        wechselkurs = entrywechselkurs.get()
        wechselkurs = wechselkurs.replace(",",".")
        wechselkurs = float(wechselkurs)

        # Datenabfrage Peso

        peso = entrypeso.get()
        peso = peso.replace(",",".")
        peso = float(peso)

        # Berechnung

        e = peso / wechselkurs
        e = round(e, 2)
        e_str = str(e)
        e_str = e_str.replace(".",",")

        # Anzeige der Daten

        labelres_1.config(text=f"Das sind {e_str} Euro")

    except:
        # Ausgabe Fehlermeldung  v

        labelres_1.config(text=f"Bitte Zahlenwert und Wechselkurs angeben!")

def website():
    # Aufruf Link Website

    webbrowser.open_new("https://www.finanzen100.de/waehrungen/euro-mexikanischer-peso-eur-mxn_H1212511378_9360668/")


# create a window
win = tk.Tk()

# set window icon
win.iconbitmap(resource_path("icon\\mexiko1_icon.ico"))

# set window title
win.title("Waehrungsrechner Mexiko")

# define starting & max sizes for the window
window_width = 880
window_height = 250
max_width = 950
max_height = 400

# get the screen dimension
screen_width = win.winfo_screenwidth()
screen_height = win.winfo_screenheight()

# find the center point
center_x = int(screen_width/2 - window_width / 2)
center_y = int(screen_height/2 - window_height / 2)

# set the position of the window to the center of the screen
win.geometry(f'{window_width}x{window_height}+{center_x}+{center_y}')

# set min & max size for the window
win.minsize(window_width, window_height)
win.maxsize(max_width, max_height)   

############################################################################################################################
# Bild einfügen

# Eigenen Bild-Pfad angeben, falls nötig  
instrument = tk.PhotoImage(file=resource_path("img\\mexiko1.png"))
    
lblBild= ttk.Label(win, image=[instrument])

# Angabe der Zeile, Spalte im Grid-Layout, padx = leere Platz zwischen GUI-Komponente
# sticky=Platzierung der GUI-Komponente innerhalb Zelle entlang Himmelsrichtungen
lblBild.grid(column=0, row=0, rowspan=4,  padx='5', pady='5', sticky='ew')

############################################################################################################################
# Erste Umrechnung (Euro in Peso)

# Label Text "Euro in mex. Peso umrechnen"
labelv1 = tk.Label(master=win, text='Euro in mex. Peso umrechnen ')
labelv1.grid(column=1, row= 0, columnspan=2, padx='5', pady='5', sticky='ew')

# Label Text Betrag in Euro eingeben:"
labelv2 = tk.Label(master=win, text='Betrag in Euro eingeben:')
labelv2.grid(column=1, row= 1, columnspan=2, padx='5', pady='5', sticky='ew')


# Eingabefeld für den Betrag in Euro
entryeuro = tk.Entry(master=win, bg='white', width='4')
entryeuro.grid(column=1, row= 2, padx='5', pady='5', sticky='ew')

# Button zur Berechnung Euro in mexikanische Pesos
buttonComp = tk.Button(master=win, text='Berechnen', width='8', bg='white',activebackground="green", command=buttonClick)
buttonComp.grid(column=2, row= 2, padx='5', pady='5')

# Label für das erste Ergebnis
labelres = tk.Label(master=win, text='')
labelres.grid(row= 3, column=1, columnspan=2, padx='5', pady='5', sticky='ew')

############################################################################################################################
# Zweite Umrechnung (Peso in Euro)

# Label Text "mex. Peso in Euro umrechnen"
labelv3 = tk.Label(master=win, text="mex. Peso in Euro umrechnen")
labelv3.grid(column=3, row=0, columnspan=2, padx='5', pady='5', sticky='ew')

# Label Text Betrag in Peso eingeben
labelv4 = tk.Label(master=win, text="Betrag in Peso eingeben")
labelv4.grid(column=3, row=1, columnspan=2, padx='5', pady='5', sticky='ew')

# Eingabefeld für den Betrag in Peso
entrypeso = tk.Entry(master=win, bg='white', width='4')
entrypeso.grid(column= 3, row=2, padx='5', pady='5', sticky='ew')

# Button zur Berechnung Peso in Euro
buttonComp_1 = tk.Button(master=win, text='Berechnen', width='8', bg='white',activebackground="green", command=buttonClick_1) 
buttonComp_1.grid(column=4, row= 2, padx='5', pady='5')

# Label für das zweite Ergebnis
labelres_1 = tk.Label(master=win, text='')
labelres_1.grid(column= 3, row=3, columnspan=2, padx='5', pady='5', sticky='ew')

############################################################################################################################
# Eingabe Wechselkurs

# Label Text "Wechselkurs"
labelv5 = tk.Label(master=win, text="Wechselkurs")
labelv5.grid(column=5, row=0, columnspan=2, padx='5', pady='5', sticky='ew')

# Label Text "Wechselkurs eingeben"
labelv6 = tk.Label(master=win, text="Wechselkurs eingeben")
labelv6.grid(column=5, row=1, columnspan=2, padx='5', pady='5', sticky='ew')

# Eingabefeld für den Wechselkurs
entrywechselkurs = tk.Entry(master=win, bg='white', width='4')
entrywechselkurs.grid(column= 5, row=2, columnspan=2, padx='5', pady='5', sticky='ew')

############################################################################################################################
# Button Website aufrufen

buttonComp_2 = tk.Button(master=win, text='aktueller Wechselkurs', width='8', bg='white',activebackground="green", command=website)
buttonComp_2.grid(column= 5, row=3, columnspan=2, padx='5', pady='5', sticky='ew')

# start mainloop
win.mainloop()